# Проектирование и разработка электронных образовательных ресурсов

### Инвариативные задания


* [1. Структура электронного учебно-методического комплекса](#учебно-методический-комплекс)
* [2. Информационно-ресурсная база](#информационно-ресурсная-база)
* [3. Модель процесса разработки электронных образовательных ресурсов](#модель-процесса-разработки-образовательных-ресурсов)
* [4. Жизненный цикл создания электронных образовательных ресурсов](#жизненный-цикл-создания-электронных-образовательных-ресурсов)


### Вариативные задания


* 1.1. Изучение и анализ отечественных электронных образовательных ресурсов
* 1.2. Ресурсно-информационная база из ЭОР по конкретной теме для системы повышения квалификации учителей гуманитарных направлений подготовки
* 2.1. Технологии, позволяющие организовывать контроль знаний обучающихся, и разработайте тест, содержащий от 5 вопросов по теме «Введение в информационные технологии»
* 3.1. Используя инструменты для визуального проектирования интерфейса, представленные преподавателем на занятии или найденные самостоятельно, создайте макет одной темы (одна или несколько страниц) электронного образовательного ресурса на тему: "Введение в информационные технологии".
* 3.2. Разместите схему и макет интерфейса в облачном хранилище, а ссылку на получившийся макет — в форуме курса Moodle.
* 3.3. С помощью веб-технологий, используя веб-фреймворки или системы визуального проектирования образовательных курсов сверстайте разработанный макет.
* 4.1 Разработайте на основе созданного электронного ресурса SCORM-пакет, содержащий теорию, задания для практики, а также элементы контроля знаний обучающихся. Разместите получившийся SCORM-пакет в собственном курсе облачной площадки Moodle. Протестируйте получившийся курс и предоставьте логин и пароль пользователя с ролью студента преподавателю для проверки.


### Инвариативные задания


<!---->
## Учебно-методический комплекс

> Учебно-методический комплекс — совокупность всех учебно-методических документов (планов, программ, методик, учебных пособий и т. д.), представляющих собой проект системного описания учебно-воспитательного процесса, который впоследствии будет реализован на практике; является дидактическим средством управления подготовкой специалистов. Разрабатывается с целью системно-методического обеспечения учебного процесса. УМК является комплексной информационной моделью педагогической системы, отображающей определенным образом ее элементы, задающей структуру педагогической системы. Перечень документов, входящих в УМК: учебная программа по дисциплине; рабочая учебная программа; методические указания по основным видам учебных занятий, проводимым на кафедре; график самостоятельной работы студентов; перечень специализированных аудиторий (если таковые имеются) и карта обеспеченности студентов учебной литературой по дисциплине.

Содержательные части образовательного стандарта учебной дисциплины:

* введение (выполняется при необходимости);
* наименование;
* область применения;
* нормативные ссылки;
* обозначения и сокращения (выполняется при необходимости);
* цели и задачи дисциплины;
* содержание дисциплины и условия её реализации:
    * рабочая программа дисциплины;
        * паспорт дисциплины;
        * виды и содержание занятий по дисциплине;
        * формы и содержание текущей аттестации и итоговой оценки по дисциплине;
        * учебно-методические материалы по дисциплине;
        * учебно-методическая карта дисциплины;
        * специфические особенности преподавания дисциплины (при необходимости);
        * лист согласования рабочей программы дисциплины.
    * использование технических средств обучения и вычислительной техники. Программное обеспечение дисциплины;
    * организация самостоятельной работы студентов по дисциплине;
    * элементы научного поиска при изучении дисциплины.
* приложения (указаны только обязательные):
    * методические указания к лабораторному практикуму (выполняются при наличии в учебном плане);
    * методические указания к курсовому проектированию (выполняются при наличии в учебном плане);
    * варианты индивидуальных расчетных заданий и методические указания по их выполнению (выполняются при наличии в учебном плане);
    * контролирующие материалы по дисциплине:
        * тесты текущего контроля знаний по дисциплине;
        * тесты итогового контроля знаний по дисциплине;
        * тесты контроля остаточных знаний по дисциплине.

#### Пример.

### Методическое пособие по физике

#### Перечень содержит n лабораторных работ и у каждой из них следующая структура:

* Теоретический материал объясняющий базовые принципы происходящего
* Оборудование необходимое для выполнения задачи
* Пошаговая инструкция выполнения практического задания
* Методические задания для расчётов
* Контроль понимания базовых принципов за счёт перечня вопросов после выполнения


<!---->
## Информационно-ресурсная база

Информационные ресурсы по виду информации:

* правовая информация;
* научно-техническая информация;
* политическая информация;
* финансово-экономическая информация;
* статистическая информация;
* информация о стандартах и регламентах, метрологическая информация;
* социальная информация; политическая информация;
* информация о здравоохранении;
* информация о чрезвычайных ситуациях;
* персональная информация (персональные данные);
* кадастры (земельный, градостроительный, имущественный, лесной, другие);
* информация иного вида.

Информационные ресурсы по способу доступа:

* открытая информация (без ограничения);
* информация ограниченного доступа:
* государственная тайна;
* конфиденциальная информация;
* коммерческая тайна;
* профессиональная тайна;
* служебная тайна;
* персональные данные, личная (персональная) тайна.

Информационные ресурсы по виду носителя: 

* на бумаге; 
* на машиночитаемых носителях; 
* в виде изображения на экране ЭВМ;
* в памяти ЭВМ; 
* в канале связи; 
* на других видах носителей.


Информационные ресурсы по способу организации хранения и использования:
* традиционные формы – массив документов;
* фонд документов; архив;
* автоматизированные формы – Интернет;
* банк данных;
* автоматизированная информационная система (сеть);
* база знаний.

Информационные ресурсы по форме собственности:

* общероссийское национальное достояние;
* государственная собственность;
* федеральная собственность;
* собственность субъектов РФ;
* совместная (федеральная и субъектов Федерации);
* муниципальная собственность;
* частная собственность;
* коллективная собственность.

### Пример

#### [Habr](https://habr.com)
#### [Reddit](https://reddit.com)


<!---->
## Жизненный цикл создания электронных образовательных ресурсов || Модель процесса разработки электронных образовательных ресурсов

> Жизненный цикл электронных образовательных ресурсов - это период их создания и использования, охватывающий различные состояния, начиная с момента возникновения необходимости в такой системе и заканчивая моментом ее полного выхода из употребления у пользователей.

> Жизненный цикл электронных образовательных ресурсов включает в себя четыре стадии: **предпроектную**, **проектировочную**, **внедрение**, **функционирование**. От качества проектировочных работ зависит эффективность функционирования системы, поэтому каждая стадия разделяется на ряд этапов и предусматривает составление документации, отражающей результаты работ.

На предпроектной стадии можно выделить следующие этапы:
1. Сбор материалов для проектирования - предусматривает разработку и выбор варианта концепции системы, выявление всех характеристик объекта и управленческой деятельности, потоков внутренних и внешних информационных связей, состава задач и специалистов, которые будут работать в новых технологических условиях, уровень их подготовки.
2. Анализ материалов и формирование документации - составление задания на проектирование, утверждение технико-экономического обоснования.
Для успешного создания электронного образовательного ресурса всесторонне изучаются пути прохождения информационных потоков, как по внутренней структуре, так и во внешней среде.

Стадия проектирования делится на:
1. Этап технического проектирования - формируются проектные решения по обеспечивающей и функциональной частям информационной системы, моделирование производственных, хозяйственных, финансовых ситуаций, осуществляется постановка задачи и блок-схемы и их решение.
2. Этап рабочего проектирования - осуществляется разработка и доводка системы, корректировка структуры, создание различной документации: на поставку, на установку технических средств, инструкции по эксплуатации, должностные инструкции.

Стадия внедрения предполагает:
1. Подготовку к вводу в эксплуатацию - на этом этапе производится установка технически средств, настройка системы, обучение персонала, пробное использование.
2. Проведение опытных испытаний всех компонентов системы перед запуском.
3. Сдача в промышленную эксплуатацию, которая оформляется актом сдачи-приемки работ.

На этапе функционирования информационной системы в рабочем режиме не исключается корректировка функций и управляющих параметров. Также осуществляется оперативное обслуживание и администрирование.


### Вариативные задания



<!---->
## Изучение и анализ отечественных электронных образовательных ресурсов

В качестве основы был взят сегмент IT в **http://www.intuit.ru**

# Плюсы:
    * много разнопланового материала
    * действительно ЭОР
    * стабилен и опосредован

# Минусы:
    * ресурс безнадежно устарел - материалы, как правило, были актуальны лет 10-15
    * платный контент

Возможно когда-то интуит был действительно образцом для подражания, на сегодняшний день ресурс годится для изучения далекого прошлого. 



<!---->
## Ресурсно-информационная база из ЭОР по конкретной теме для системы повышения квалификации учителей гуманитарных направлений подготовки

* **http://genphys.phys.msu.ru** Материалы физического факультета Санкт-Петербургского государственного университета
* **http://www.phys.spbu.ru/library** Мир физики: демонстрации физических экспериментов
* **http://www.physics-regelman.com** Онлайн-преобразователь единиц измерения
* **http://www.afportal.ru** Проект AFPortal.ru: астрофизический портал Проект «Вся физика»
* **http://www.fizika.asvu.ru** Решения задач из учебников по физике
* **http://metod-f.narod.ru** Самотестирование школьников 7-11 классов и абитуриентов по физике
* **http://barsic.spbu.ru/www/tests** Термодинамика: электронный учебник по физике
* **http://marklv.narod.ru/mkt** Физикам — преподавателям и студентам
* **http://teachmen.csu.ru** Физика в анимациях
* **http://presfiz.narod.ru** Физика в школе: сайт М.Б. Львовского
* **http://gannalv.narod.ru/fiz** Физика вокруг нас
* **http://physics03.narod.ru** Физика для всех: Задачи по физике с решениями
* **http://fizzzika.narod.ru** Физика для учителей: сайт В.Н. Егоровой
* **http://www.fizika.ru** Физикомп: в помощь начинающему физику
* **http://physicomp.lipetsk.ru** Хабаровская краевая физико-математическая школа
* **http://www.khspu.ru/~khpms** Школьная физика для учителей и учеников: сайт А.Л. Саковича
* **http://www.alsak.ru** Ядерная физика в Интернете
* **http://nuclphys.sinp.msu.ru** Олимпиады по физике Всероссийская олимпиада школьников по физике
* **http://www.edu.yar.ru/russian/projects/predmets/physics** Дистанционные эвристические олимпиады по физике
* **http://www.eidos.ru/olymp/physics** Московская региональная олимпиада школьников по физике
* **http://genphys.phys.msu.ru/ol** Открытые интернет-олимпиады по физике



<!---->
## Технологии, позволяющие организовывать контроль знаний обучающихся

Формы контроля знаний и умений учащихся – многочисленные, разнообразные виды деятельности учащихся при выполнении контрольных заданий. Форм контроля очень много, т.к. каждый учитель вправе придумать и провести собственные, кажущиеся ему наилучшими, контрольные задания. Государственный стандарт обозначил обязательные требования к форме и содержанию контрольных мероприятий на уроках труда: "Проверка соответствия учебной подготовки школьников требованиям стандарта проводится с помощью специально разработанной системы измерителей достижения стандарта образования…. Система измерителей должна быть содержательно валидна (т.е. должна полностью соответствовать требованиям стандарта), надежна (т.е. обеспечивать воспроизводимость полученных при проверке результатов) и объективна (т.е. не должна зависеть от личности проверяющего)

Система измерителей может быть представлена в форме традиционных устных опросов или письменных контрольных работ, тестов, включающих задания с выбором ответа или краткими ответами, зачета и др. Все задания, независимо от их формы и того, какие умения они проверяют, считаются равновесомыми, исходя из равной значимости всех требований стандарта.

К каждой системе измерителей должны быть представлены критерии оценивания, на основе которых делается вывод о достижении или не достижении учащимся требований государственного стандарта… в практике проверки достижений учащимися обязательного уровня подготовки по любой дисциплине используется следующий критерий: если ученик правильно выполнил две трети заданий проверочной работы, удовлетворяющей вышеперечисленным требованиям, то можно сделать вывод о достижении данным учеником требований стандарта.

В школьной практике существует несколько традиционных форм контроля знаний и умений учащихся, вот некоторые из них:

* устный или письменный опрос
* карточки
* краткая самостоятельная работа
* практическая или лабораторная работа
* тестовые задания


1. **Устная проверка знаний.**
Проверку знаний учащихся учитель осуществляет по-разному. Устная проверка может быть в форме фронтальной беседы, когда учитель задает вопросы всем учащимся. При этом происходит непосредственный контакт учителя с классом. При опросе кого-либо из учащихся все остальные должны внимательно следить за ответом, поправляя и дополняя его. Устная фронтальная проверка не позволяет установить всю глубину усвоенных понятий, но зато в течение короткого времени учитель уточняет, насколько весь класс усвоил основные представления об изучаемом материале или объекте, умеют ли дети обобщать и систематизировать знания, устанавливать простейшие связи. При фронтальном опросе учитель выставляет отметки в конце урока.

2. **Работа с карточками.**
Карточки, которые предлагаются на уроках учащимся, могут быть очень разными по содержанию, объему, оформлению. Кроме того, следует сделать карточки для сильных, средних и слабых учащихся, что позволяет использовать «зону ближайшего развития» каждого ученика, а, соответственно, поверить в свои возможности всем учащимся класса. На вопросы карточек ученики отвечают письменно, поэтому каждую карточку учитель раздает ученикам вместе с чистым листом бумаги. Вопросы ученики не списывают, а только записывают номер карточки.

3. **Письменная проверка знания.**
Распространенная форма контроля знаний и умений учащихся. Она представляет собой перечень вопросов, на которые учащиеся должны дать незамедлительные и краткие ответы. Время на каждый ответ строго регламентировано и достаточно мало, поэтому сформулированные вопросы должны быть четкими и требовать однозначных, не требующих долгого размышления, ответов. Именно краткость ответов отличает его от остальных форм контроля. С помощью письменной проверки можно проверить ограниченную область знаний учащихся: буквенные обозначения, названия единиц, определения, формулировки, связь между величинами, формулировки научных фактов. Именно эти знания могут быть проверены в быстрых и кратких ответах учащихся. Письменная проверка не позволяет проверить умения, которыми овладели учащиеся при изучении той или иной темы. Таким образом, быстрота проведения письменной проверки является одновременно как его достоинством, так и недостатком, т.к. ограничивает область проверяемых знаний. Однако эта форма контроля снимает часть нагрузки с остальных форм, а также может быть с успехом применена в сочетании с другими формами контроля.

4. **Кратковременная самостоятельная работа.**
Здесь учащимся также задается некоторое количество вопросов, на которые предлагается дать свои обоснованные ответы. В качестве заданий могут выступать теоретические вопросы на проверку знаний, усвоенных учащимися; задачи, на проверку умения выполнить расчеты по заданию; конкретные действия, смоделированные или показанные с целью проверить умение учащихся, задания по моделированию (воспроизведению) конкретных ситуаций, соответствующих технологическим понятиям. В самостоятельной работе могут быть охвачены все виды деятельности кроме создания понятий, т.к. это требует большего количества времени. При этой форме контроля учащиеся обдумывают план своих действий, формулируют и записывают свои мысли и решения. Понятно, что кратковременная самостоятельная работа требует гораздо больше времени, чем предыдущие формы контроля, и количество вопросов может быть не более 2-3, а иногда самостоятельная работа состоит и из одного задания.

5. **Практическая или лабораторная работа.**
Практическая или лабораторная работа – достаточно необычная форма контроля, она требует от учащихся не только наличия знаний, но еще и умений применять эти знания в новых ситуациях, сообразительности. Лабораторная работа активизирует познавательную деятельность учащихся, т.к. от работы с ручкой и тетрадью ребята переходят к работе с реальными предметами. Тогда и задания выполняются легче и охотнее. Особенно это заметно в 5-6 классах. Практическую лабораторную работу целесообразно комбинировать с такими формами контроля, как письменная проверка или тест. Такая комбинация может достаточно полно охватить знания и умения учащихся при минимальных затратах времени, а также снять при этом трудность длинных письменных высказываний.

6. **Тестовые задания.**
Здесь учащимся предлагается несколько, обычно 2-3, варианта ответов на вопрос, из которых надо выбрать правильный. Эта форма контроля тоже имеет свои преимущества, неслучайно это одна из наиболее распространенных в последнее время форм контроля во всей системе образования. Учащиеся не теряют времени на формулировку ответов и их запись, что позволяет охватить большее количество материала за то же время. Наряду со всеми знаниями, усвоение которых учащимися можно проверить с помощью письменной проверки, появляется возможность проверить умения учащихся, связанные с распознаванием (инструмента, материала, явлений и ситуаций, соответствующих технологии).

### Метод тестового контроля с выборочными ответами

Применение данного метода позволяет учителю получить сведения об усвоении того или иного материала, не затрачивая время на беседу с учащимися или на проверку письменных работ. Возможность за 10-20 мин проверить и оценить знания всего класса улучшает обратную связь, делает ее регулярной. Систематическая проверка знаний не только способствует прочному усвоению учебного предмета, но и воспитывает сознательное отношение к учебе, формирует аккуратность, трудолюбие, целеустремленность, активизирует внимание, развивает способность к анализу. При тестовом контроле обеспечиваются равные для всех обучаемых условия проверки, т. е. повышается объективность проверки знаний. Наконец, этот метод вносит разнообразие в учебную работу, повышает интерес к предмету. Варианты заданий индивидуальны для каждого, что очень важно для психологически неустойчивых учащихся.

### Метод экзамен в дистанционном обучении

В дистанционном обученнии используется стандартная схема обучения - обучающий материал, практический материал, экзамен. Экзамен, в данном случае, модифицируется современными технологиями со строжайщим контролем сдающего. По окончании выдается соотвествующий документ.

## Тест
### [ссылка на тест](https://docs.google.com/forms/d/16ZC-YaCbWz3MBjdtXGTov0QPaJYm_IvL_mX6h0K7Y4A)

